from defcon import Font
from pathlib import Path

base = Path(__file__).parent

font = Font()

for glyph_name in "A B C D E F G H I J a b c d e f g h one two three".split():
    glyph = font.newGlyph(glyph_name)
    pen = glyph.getPen()
    coordinates = [(0, 0), (0, 100), (100, 100), (100, 0)]
    for i, coordinate in enumerate(coordinates):
        if i == 0:
            segment_type = "moveTo"
        else:
            segment_type = "lineTo"
        getattr(pen, segment_type)(coordinate)
    pen.closePath()


font.save(base/"font.ufo")